Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

PlaceholderConfigurerSupport.doProcessProperties() loses stack trace on exception [SPR-11346] #15970

Closed
spring-projects-issues opened this issue Jan 22, 2014 · 0 comments

Comments

@spring-projects-issues
Copy link
Collaborator

@spring-projects-issues spring-projects-issues commented Jan 22, 2014

Jim Yingst opened SPR-11346 and commented

In org.springframework.beans.factory.config.PlaceholderConfigurerSupport, the doProcessProperties() method contains the following code:

try {
         visitor.visitBeanDefinition(bd);
}
catch (Exception ex) {
         throw new BeanDefinitionStoreException(bd.getResourceDescription(), curName, ex.getMessage());
}

This effectively loses all stack trace information for the original exception, ex. Other than the getMessage(), which may or may not be useful. It would be easy to change this to properly set the nested cause so as to preserve this information:

throw new BeanDefinitionStoreException(bd.getResourceDescription(), curName, ex.getMessage(), ex);

Affects: 3.2.6

Referenced from: commits 8d304ef, fdd31c0

Backported to: 3.2.7

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants